/**
 * @file	cf_base.h
 * @author	myusgun <myusgun@gmail.com>
 * @version	0.1
 */
#ifndef __CF_BASE_H__
#define __CF_BASE_H__

/** boolean 타입 */
typedef enum {
	CF_FALSE = 0,	/**< 거짓 */
	CF_TRUE = 1		/**< 참 */
} E_CF_BOOL,
/**
 * boolean 타입
 * @see E_CF_BOOL
 */
	CF_BOOL;

/** 성공 시, 반환 값 */
#define CF_OK							0
/** 오류 코드 */
#define CF_ERROR						-1

/** 파일 이름 및 경로 길이 */
#define NAME_LENGTH						128

/** 오류 코드 베이스 넘버 */
#define CF_ERROR_BASE					CF_ERROR * 1000
/** @see cf_file.h */
#define CF_ERROR_FILE					CF_ERROR_BASE * 2
/** @see cf_socket.h */
#define CF_ERROR_SOCKET					CF_ERROR_BASE * 3
/** @see cf_thread.h */
#define CF_ERROR_THREAD					CF_ERROR_BASE * 4
/** @see cf_thread.h */
#define CF_ERROR_MUTEX					CF_ERROR_BASE * 5
/** @see cf_debug.h */
#define CF_ERROR_DEBUG					CF_ERROR_BASE * 6
/** @see cf_log.h */
#define CF_ERROR_LOG					CF_ERROR_BASE * 7

/** Windows 에서의 함수 EXPORT 구문 정의 */
#ifdef _WIN32
# define CF_EXPORT		__declspec(dllexport)
#else // #ifdef _WIN32
# define CF_EXPORT
#endif // #ifdef _WIN32

#endif // #ifndef __CF_BASE_H__
